# 2019-04-04 LJY
# Written by Ji Young Lee
# Find snapshots with multiple probes in hotspots near high affinity residues 
# with trajectory of Druggability molecular dynamics simulations

# file containing a list of chains
chainsfile="chain-list.dat"
# file containing a list of probes
probesfile="probe-list.dat"

# protein chain ID in pdb
CHAIN=`cat $chainsfile`
[ -z "$CHAIN" ] && CHAIN=' A B ' # fill it with the default if it's empty

# probe molecule ID in pdb
PROBE=`cat $probesfile`
[ -z "$PROBE" ] && PROBE=' IPRO ACAM ACTT IPAM IBTN IMID ' # fill it with the default if it's empty

TNUU=`cat numFrames.dat`

for FCHAIN in $CHAIN
do
for FPROBE in $PROBE
do

grep "$FPROBE $FCHAIN" highaffresid.dat > ____tt
sed -e "s/$FPROBE $FCHAIN/    /g" ____tt > ____tt1
RESID=`cat ____tt1 | awk '{print $0}'`
for EE in $RESID
do

	resdir=z.$FCHAIN.$EE.$FPROBE

cat ./snapshot/$resdir/outfr-?.dat > ___test0

for (( nn = 0   ; nn <= $TNUU     ; nn++ ))
do
cat > _molexe  <<EOF
awk '{if (\$1 == $nn) print }' ___test0 > ___test
EOF
chmod 777 _molexe
./_molexe
rm _molexe

CRAT=`wc -l ___test | awk '{print $1}'`

if [ $CRAT -ge 1 ]; then
echo "frame $nn   "  >> ___test3
fi
done
mv ___test3 ./snapshot/$resdir/outfr.dat
rm _*
done
done
done

for (( nn = 0   ; nn <= $TNUU     ; nn++ ))
do

grep "frame $nn "  snapshot/z.*/outfr.dat > ___test

CRAT=`wc -l ___test | awk '{print $1}'`

if [ $CRAT -ge 1 ]; then
cat   ___test >> multiprobe2.dat
printf "%s\t%s\n" $nn $CRAT  >> ___test3
fi

done

sort -n -k2 -r ___test3 >  multiprobe1.dat
 
rm __*
