# 2019-06-30 Bahar LAB, University of Pittsburgh  bahar@pitt.edu
# Written by Ji Young Lee, and edited by James Michael Krieger
# Find hotspots near high affinity residues 
# with trajectory of Druggability molecular dynamics simulations

pharmmaker_dir=`readlink -e $(dirname $0)`

probesfile="probe-list.dat"
chainsfile="chain-list.dat"
CL=8
hotspotsFile='../dg/dg_all_hotspots.pdb'
proteinFile='../dg/dg_protein_heavyatoms.pdb'
highaffresidsdir="."

for arg in `seq 1 "$#"`; do
  if [[ "$arg" -eq 1 ]]; then
    chainsfile=$1
  elif [[ "$arg" -eq 2 ]]; then
    probesfile=$2
  elif [[ "$arg" -eq 3 ]]; then
    CL=$3
  elif [[ "$arg" -eq 4 ]]; then
    hotspotsFile=$4
  elif [[ "$arg" -eq 5 ]]; then
    proteinFile=$5
  elif [[ "$arg" -eq 6 ]]; then
    highaffresidsdir=$6
  fi
done


if [[ $1 = "help" ]]; then
  echo "This script takes up to 4 arguments in the following order"
  echo "chain list file path, probe type list file path, "
  echo "hotspots pdb file path, heavyatoms pdb file path"
  #, and highaffresid directory"
  exit
fi

CHAIN=`cat $chainsfile`

PROBE=`cat $probesfile`
IFS=',' read -r -a probes_array <<< $PROBE

chainNum=0
for CC in $CHAIN; do
  IFS=' ' read -r -a rel_probes_array <<< $probes_array

  for probe in ${rel_probes_array[@]}; do
    bash $pharmmaker_dir/CORE/hotspotsNearHighAffResids.sh $CC $probe $CL $hotspotsFile $proteinFile $highaffresidsdir
    #echo $CC $probe $CL $hotspotsFile $proteinFile $highaffresidsdir
  done
  
  chainNum=$((chainNum+1))
done

exit